Bug 2093760 - gpg: Ohhhh jeeee: Assertion "a->filter == block_filter" in iobuf_set_partial_body_length_mode failed (iobuf.c:2764)
Summary: gpg: Ohhhh jeeee: Assertion "a->filter == block_filter" in iobuf_set_partial_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg2
Version: 36
Hardware: x86_64
OS: Linux
medium
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-05 23:11 UTC by alex
Modified: 2022-08-01 10:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-01 10:16:21 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-463 0 None None None 2022-06-05 23:15:59 UTC

Description alex 2022-06-05 23:11:53 UTC
Description of problem:
GPG crashes when using the force-aead and personal-aead-preferences options.

Version-Release number of selected component (if applicable):
2.3.6-1.fc36

How reproducible:
Always

Steps to Reproduce:
1. gpg --quick-gen-key testkey
2. Add "force-aead" and "personal-aead-preferences OCB" to gpg.conf. Using command-line arguments to set these won't work.
3. gpg -aer testkey
4. gpg -ac
5. gpg -asc

Actual results:
Output of "gpg -aer testkey" and "gpg -asc":
gpg: unsupported AEAD algo -6
gpg: unsupported AEAD algo -6
gpg: Ohhhh jeeee: Assertion "a->filter == block_filter" in iobuf_set_partial_body_length_mode failed (iobuf.c:2764)
Aborted (core dumped)

Output of "gpg -ac":
gpg: unsupported AEAD algo 10
gpg: symmetric encryption of '[stdin]' failed: Invalid cipher mode

Expected results:
GPG does not crash.

Comment 1 Jakub Jelen 2022-06-07 09:59:53 UTC
Thank you for the report. Running the gpg under valgrind shows some uninitialized variables, which will probably cause this issue. I filled the issue upstream with a patch that solves the issue for me:

https://dev.gnupg.org/T6019

When I will hear from upstream, I will update Fedora package to fix this problem.

Comment 2 Jakub Jelen 2022-08-01 10:16:21 UTC
This was fixed in 2.3.7 -- closing as a current release.


Note You need to log in before you can comment on or make changes to this bug.